public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ipyparallel/
Date: Sun, 21 Feb 2016 15:32:50 +0000 (UTC)	[thread overview]
Message-ID: <1456068766.58cb163755e5f9c7cfeecf5326115d347d6c25c8.jlec@gentoo> (raw)

commit:     58cb163755e5f9c7cfeecf5326115d347d6c25c8
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 21 15:32:37 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Feb 21 15:32:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58cb1637

dev-python/ipyparallel: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/ipyparallel/Manifest                 |  1 +
 dev-python/ipyparallel/ipyparallel-5.0.1.ebuild | 58 +++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/ipyparallel/Manifest b/dev-python/ipyparallel/Manifest
index 4d02d6d..84335a4 100644
--- a/dev-python/ipyparallel/Manifest
+++ b/dev-python/ipyparallel/Manifest
@@ -1,2 +1,3 @@
 DIST ipyparallel-4.1.0.tar.gz 2271608 SHA256 c943f6b3bbabb9332336d15474969e2a7a73d5b583f9786f7b357c75e4b1709a SHA512 19fff1ea57d9fcaec6525ce6e0c72ab63ab1245e32e485174a0691d2b48d8d2512af4055b77df82c7b30a8c071e1b6c5900d37e992f82f1597492e220e83d36f WHIRLPOOL ead35bc2166af0b221e730550689b09b7bf04148abcd754039f1c511acaa182ba50b593372f3e8bc627ae40a6117f9209cac476c1905bdc780f53de10666ffe1
 DIST ipyparallel-5.0.0.tar.gz 2286751 SHA256 ffa7e2e29fdc4844b3c1721f46b42eee5a1abe5cbb851ccf79d0f4f89b9fe21a SHA512 ef04b717198246300ad1020eb7f9a65c40553a897653384bd839d5fb05409a276df41f933b0f023c0523fc6d8cebf6e2c6f8478c8be4fe4fdf386ad78b8f4418 WHIRLPOOL 677fd7fa2090b2b75c234c4802fab553105d2e3ce44ab4c390cadc56ba5ff3814005ab478906197d6a9f862e0d69901168d22cdc44c8063cf8e71fc8f8bdc449
+DIST ipyparallel-5.0.1.tar.gz 2350472 SHA256 48e319c16995a697c82e72dc4e5cb977be45cb0f0cdcfc482d5e8019ea6afeb2 SHA512 b7fa4f2ec5375398a533c92f07e2ab09180e537366c36ff5a7f3245d63072006ebcffc19dda28d08d5cc2e8a9044bf9101c7eeccf2857ed4a78ddd859ce23a2c WHIRLPOOL 350f67f7f341fe83bd21fb5f84714c43a426fa0d2234a532e781d0b0e9a977e2ee455184da995f5a3fbbf8e260d776dd9ac2607ac86041b5abecf41aeb9a8a9b

diff --git a/dev-python/ipyparallel/ipyparallel-5.0.1.ebuild b/dev-python/ipyparallel/ipyparallel-5.0.1.ebuild
new file mode 100644
index 0000000..8bf04a1
--- /dev/null
+++ b/dev-python/ipyparallel/ipyparallel-5.0.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Interactive Parallel Computing with IPython"
+HOMEPAGE="http://ipython.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/ipython_genutils[${PYTHON_USEDEP}]
+	dev-python/decorator[${PYTHON_USEDEP}]
+	>=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+	dev-python/ipykernel[${PYTHON_USEDEP}]
+	!<dev-python/ipython-4.0.0[smp]
+	>=dev-python/ipython-4.0.0[${PYTHON_USEDEP}]
+	dev-python/jupyter_client[${PYTHON_USEDEP}]
+	"
+DEPEND="${RDEPEND}
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+	)
+	"
+
+python_prepare_all() {
+	# Prevent un-needed download during build
+	if use doc; then
+		sed -e "/^    'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+	fi
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	iptest ipyparallel.tests -- -vsx || die
+}
+
+python_install_all() {
+	use doc && HTML_DOCS=( docs/build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-02-21 15:32 UTC|newest]

Thread overview: 111+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-21 15:32 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-12 10:36 [gentoo-commits] repo/gentoo:master commit in: dev-python/ipyparallel/ Michał Górny
2024-04-20 11:23 Michał Górny
2024-04-20 10:04 Sam James
2024-04-05 19:45 Michał Górny
2024-03-21 18:44 Arthur Zamarin
2024-03-05  5:18 Michał Górny
2024-03-04 14:52 Michał Górny
2023-10-24 18:44 Michał Górny
2023-05-15 20:13 Arthur Zamarin
2023-05-15 20:09 Arthur Zamarin
2023-04-15  8:23 Michał Górny
2023-04-14  3:59 Michał Górny
2023-03-28 13:23 Michał Górny
2022-10-27  9:48 Andrew Ammerlaan
2022-07-29 12:54 Michał Górny
2022-07-29 12:25 Arthur Zamarin
2022-07-09 12:06 Michał Górny
2022-07-09 10:25 Arthur Zamarin
2022-07-06  6:44 Michał Górny
2022-07-06  5:37 Arthur Zamarin
2022-07-06  5:37 Arthur Zamarin
2022-06-28 17:39 Arthur Zamarin
2022-06-28 17:39 Arthur Zamarin
2022-06-28 17:35 Arthur Zamarin
2022-06-28 17:35 Arthur Zamarin
2022-06-20 17:20 Arthur Zamarin
2022-06-17  6:02 Michał Górny
2022-06-14  7:10 Agostino Sarubbo
2022-05-10 10:07 Michał Górny
2022-04-26 19:05 Arthur Zamarin
2022-04-26 19:05 Arthur Zamarin
2022-04-26 19:05 Arthur Zamarin
2022-04-23 20:14 Arthur Zamarin
2022-04-23 20:14 Arthur Zamarin
2022-04-03 15:51 Piotr Karbowski
2022-03-18 15:57 Sam James
2022-02-21 11:34 Marek Szuba
2022-02-08 23:21 Michał Górny
2022-02-07 22:29 Sam James
2022-02-07 20:30 Michał Górny
2022-02-07 11:36 Sam James
2022-02-07 11:32 Sam James
2022-02-07 11:31 Sam James
2022-02-07 11:30 Sam James
2022-02-07 11:18 Sam James
2022-02-07  9:35 Sam James
2022-02-07  8:33 Sam James
2022-01-22 23:15 Sam James
2021-12-22 18:10 Arthur Zamarin
2021-11-20  3:54 Sam James
2021-11-19 19:24 Arthur Zamarin
2021-11-19 13:36 Sam James
2021-11-19 11:58 Sam James
2021-11-19  9:07 Sam James
2021-11-19  8:34 Sam James
2021-11-19  7:30 Sam James
2021-11-19  6:59 Sam James
2021-11-19  6:55 Sam James
2021-11-18  8:47 Marek Szuba
2021-11-18  8:10 Sam James
2021-11-18  5:47 Sam James
2021-11-18  5:36 Sam James
2021-11-16  2:44 Sam James
2021-11-14 20:35 Sam James
2021-11-14  3:43 Sam James
2021-11-11  8:36 Jakov Smolić
2021-11-05 14:57 Jakov Smolić
2021-11-05  2:20 Sam James
2021-10-25 12:56 Andrew Ammerlaan
2021-09-06  0:18 Sam James
2021-07-12  6:41 Sam James
2021-07-11 10:14 Georgy Yakovlev
2021-07-02 12:26 Marek Szuba
2021-07-01 14:45 Michał Górny
2021-07-01 14:42 Michał Górny
2021-06-20  1:45 Sam James
2021-01-05 23:26 Michał Górny
2020-09-05 15:25 Sam James
2020-09-05  7:24 Michał Górny
2020-09-05  3:08 Sam James
2020-09-02  9:12 Michał Górny
2020-08-03  3:11 Sam James
2020-07-31  0:50 Sam James
2020-07-07 20:01 Michał Górny
2020-06-10 10:27 Michał Górny
2020-06-10  7:31 Michał Górny
2020-06-08 18:23 Michał Górny
2020-05-03  2:51 Mike Gilbert
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-26 10:24 Agostino Sarubbo
2020-03-26 10:17 Agostino Sarubbo
2020-03-17  7:23 Michał Górny
2019-05-04 22:58 Virgil Dupras
2018-05-16 15:58 Andreas Sturmlechner
2018-05-16 12:28 Agostino Sarubbo
2017-08-19 22:39 Sebastien Fabbro
2017-03-12 12:31 Zac Medico
2017-02-25 14:18 David Seifert
2017-02-25 14:18 David Seifert
2017-02-15 18:37 David Seifert
2017-02-14 21:20 Patrice Clement
2016-11-01  8:13 David Seifert
2016-11-01  8:13 David Seifert
2016-11-01  8:13 David Seifert
2016-07-25 18:39 David Seifert
2016-02-28  7:08 Matt Thode
2016-02-04 12:25 Justin Lecher
2015-11-28 17:33 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1456068766.58cb163755e5f9c7cfeecf5326115d347d6c25c8.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox